package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF1F5Response {

    @Parameter(name = "CLIENT_ACTION")
    String clientAction();

    @Parameter(name = "PARAM_OUT")
    java.util.List<MWF1F5ParamOut> paramOut();

    @Parameter(name = "SERVER_ACTION")
    String serverAction();

    @Parameter(name = "SESSION_NAME")
    String sessionName();

    @Parameter(name = "SESSION_RESULT_CODE")
    Long sessionResultCode();

    @Parameter(name = "SESSION_RESULT_DESC")
    String sessionResultDesc();

    @Parameter(name = "TASK_GROUP_OUT")
    java.util.List<MWF1F5TaskGroupOut> taskGroupOut();

    @Parameter(name = "TASK_OUT")
    java.util.List<MWF1F5TaskOut> taskOut();

    @Parameter(name = "TOKEN_ID")
    String tokenId();

}